package com.td.boss.sys.sysuser.service;

import com.td.boss.common.pojo.Result;
import com.td.boss.common.service.CommonService;
import com.td.boss.sys.sysuser.pojo.SysUser;
import com.td.boss.sys.sysuser.vo.SysUserVo;
import org.springframework.security.web.authentication.rememberme.PersistentTokenRepository;

public interface SysUserService extends CommonService<SysUserVo, SysUser, String> {
    Result<SysUserVo> findByLoginName(String username);
    Result<SysUserVo> resetPassword(String userId);
    PersistentTokenRepository getPersistentTokenRepository2();
}
